mumps-test_5.1.2-4build2_amd64.deb


Advertisement

Description

mumps-test - Example/test binaries using MUMPS

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename mumps-test_5.1.2-4build2_amd64.deb
Package name mumps-test
Package version 5.1.2
Package release 4build2
Package architecture amd64
Package type deb
Category universe/math
Homepage http://mumps.enseeiht.fr/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 9.47 KB
Installed size 77.00 KB
MUMPS implements a direct solver for large sparse linear systems, with a
particular focus on symmetric positive definite matrices.  It can
operate on distributed matrices e.g. over a cluster.  It has Fortran and
C interfaces, and can interface with ordering tools such as Scotch.

Alternatives

Package Version Architecture Repository
mumps-test_5.1.2-4build2_i386.deb 5.1.2 i386 Ubuntu Universe
mumps-test - - -

Requires

Name Value
libc6 >= 2.2.5
libgfortran5 >= 8
libmumps-5.1.2 -
libopenmpi3 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mumps-test_5.1.2-4build2_amd64.deb
Source Package mumps

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mumps-test deb package:
    # sudo apt-get install mumps-test

Files

Path
/usr/lib/mumps/csimpletest
/usr/lib/mumps/dsimpletest
/usr/lib/mumps/input_simpletest_cmplx
/usr/lib/mumps/input_simpletest_real
/usr/lib/mumps/ssimpletest
/usr/lib/mumps/zsimpletest
/usr/share/doc/mumps-test/README.Debian
/usr/share/doc/mumps-test/changelog.Debian.gz
/usr/share/doc/mumps-test/copyright

Changelog

2018-07-17 - Matthias Klose <doko@ubuntu.com>
mumps (5.1.2-4build2) cosmic; urgency=medium
* No-change rebuild for libgfortran soname change.
2018-05-13 - Matthias Klose <doko@ubuntu.com>
mumps (5.1.2-4build1) cosmic; urgency=medium
* No-change rebuild for dune openmpi soname change.
2017-12-25 - Drew Parsons <dparsons@debian.org>
mumps (5.1.2-4) unstable; urgency=medium
* Team upload.
* link scalapack using MUMPS_MPI not openmpi (could be mpich)
2017-12-24 - Drew Parsons <dparsons@debian.org>
mumps (5.1.2-3) unstable; urgency=medium
* Team upload.
* use mpicc, mpifort to build parallel MUMPS (and PTScotch support)
rather than using pkg-config mpi-fort, since mpi-fort.pc is not
available for mpich builds (m68k,sh4). Closes: #884939.
2017-12-19 - Drew Parsons <dparsons@debian.org>
mumps (5.1.2-2) unstable; urgency=medium
* Team upload.
* Standards-Version: 4.1.2
2017-11-29 - Drew Parsons <dparsons@debian.org>
mumps (5.1.2-1exp1) experimental; urgency=medium
* Team upload.
* New upstream version.
* List OpenBLAS and ATLAS as alternative Build-Deps to provide BLAS
and LAPACK.
* Standards-Version: 4.1.1
* debian/rules: create ./lib at build time, needed for build and
present in upstream tarball, but not imported by gbp. 
* debian/control: Priority: optional not extra
2017-09-10 - Drew Parsons <dparsons@debian.org>
mumps (5.1.1-3) unstable; urgency=medium
* Team upload.
* Update for scalapack 2.0. It now includes BLACS, so
remove explicit blacs dependencies.
* Standards-Version: 4.1.0
2017-07-14 - Drew Parsons <dparsons@debian.org>
mumps (5.1.1-2) unstable; urgency=medium
* Team upload.
* Add copyright details for src/ana_orderings.F
(LGPL/CeCill-C/BSD-3). Closes: #859492.
* Standards-Version: 4.0.0
* debhelper compatibility level 10
2017-03-29 - Drew Parsons <dparsons@debian.org>
mumps (5.1.1-1exp1) experimental; urgency=medium
* Team upload.
* New upstream version. Closes: #825824.
- copyright now licenced under CeCILL-C
* Standards-Version: 3.9.8
* Place libs in multiarch subdirs. Build-Depends: dh-exec (>=0.3).
2016-02-06 - Mattia Rizzolo <mattia@debian.org>
mumps (4.10.0.dfsg-4) unstable; urgency=medium
* Team upload.
* Stop calling directly quilt, drop build-dep.
* Run wrap-and-sort.
* Fix FTBFS with openmpi 1.10.  Closes: #813791
* Remove debian/README.source as now useless.
* Bump debhelper compat level to 9 and use the dh sequencer.
* Bump Standards-Version to 3.9.7, no changes needed.
* Canonicalize Vcs-* fields, use https.
* Use copyright-format 1.0 as finalized.

See Also

Package Description
mumudvb_1.7.1-1build1_amd64.deb multicasts all channels of a DVB transponder on a network
munge_0.5.13-2_amd64.deb authentication service to create and validate credentials
munin-async_2.0.47-1ubuntu3_all.deb network-wide graphing framework (async master/client)
munin-common_2.0.47-1ubuntu3_all.deb network-wide graphing framework (common)
munin-doc_2.0.47-1ubuntu3_all.deb network-wide graphing framework (documentation)
munin-libvirt-plugins_0.0.6-1_all.deb Munin plugins using libvirt
munin-node-c_0.0.13-1_amd64.deb C rewrite of Munin node
munin-node_2.0.47-1ubuntu3_all.deb network-wide graphing framework (node)
munin-plugins-btrfs_11-1_all.deb munin plugin for monitoring btrfs filesystems
munin-plugins-c_0.0.13-1_amd64.deb C rewrite of some Munin plugins
munin-plugins-core_2.0.47-1ubuntu3_all.deb network-wide graphing framework (plugins for node)
munin-plugins-extra_2.0.47-1ubuntu3_all.deb network-wide graphing framework (user contributed plugins for node)
munin-plugins-java_2.0.47-1ubuntu3_all.deb network-wide graphing framework (java plugins for node)
munin_2.0.47-1ubuntu3_all.deb network-wide graphing framework (grapher/gatherer)
munipack-cli_0.5.11-2_amd64.deb Command line interface of Munipack
Advertisement
Advertisement